<?php
require_once 'config.php';

$username = trim($_POST['username']);
$nome = trim($_POST['nome']);
$cognome = trim($_POST['cognome']);
$password = trim($_POST['password']);

$error = false;          // ci sono errori nel modulo?
$error_description = '' ; // quali sono gli errori nel modulo
if(empty($username) or strlen($username)<6)
{
    $error = true;
    $error_description .= 'USERNAME deve essere lunga almeno 6 caratteri<br>';
}

if(empty($password) or strlen($password)<6)
{
    $error = true;
    $error_description .= 'PASSWORD deve essere lunga almeno 6 caratteri<br>';
}

if($error)
{
   print  $error_description .'<br>';
   print '<a href="javascript:history.back()">TORNA INDIETRO E CORREGGI I VALORI</a>';
   die();
}

// Connessione al database tramite librerie PDO
$conn = new PDO( DB_CONNECTION_STRING, DB_USERNAME, DB_PASSWORD);

// verifico che USERNAME non sia già stato utilizzato
$sql = "SELECT count(*) from utenti where username = ?";
$st = $conn->prepare($sql);
$success = $st->execute(array($username));
$quanti = $st->fetchColumn();

if($quanti>0)
{
    print "USERNAME: $username è già stato utilizzato<br>";
    print '<a href="javascript:history.back()">TORNA INDIETRO E CORREGGI I VALORI</a>';
    die();
}

//$sql = "INSERT into utenti (username, nome, cognome, password) VALUES ('a', 'b', 'c', 'd')";

$sql = "INSERT into utenti set
username = :username,
nome = :nome,
cognome = :cognome,
password = md5(:password)";

$st = $conn->prepare($sql);
$params =array(':username'=>$username, ':nome'=>$nome, ':cognome'=>$cognome, ':password'=>$password);
$success = $st->execute($params);

if($success)
{
    print "CONGRATUAZIONI, la registrazione è andata a buon fine.";
}
?>